# Generated by rust2rpm 27
%bcond_without check
%global debug_package %{nil}

%global crate icu_collections

Name:           rust-icu_collections
Version:        1.5.0
Release:        %mkrel 1
Summary:        Collection of API for use in ICU libraries
Group:          Development/Rust
BuildArch:      noarch

License:        Unicode-3.0
URL:            https://crates.io/crates/icu_collections
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Drop benchmark-only criterion dependency
# * Do not depend on postcard; it is needed only for one (skipped) test.
Patch:          icu_collections-fix-metadata.diff
# * Downstream-only: unconditionally skip compiling tests that would require
#   postcard.
Patch10:        icu_collections-1.5.0-no-postcard.patch
# * Downstream-only: unconditionally skip compiling tests that would require the
#   circular (path-based) dev-dependency on the icu crate.
Patch11:        icu_collections-1.5.0-no-icu-dev-dependency.patch

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  rust-toml0.5-devel

%global _description %{expand:
Collection of API for use in ICU libraries.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+databake-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+databake-devel %{_description}

This package contains library source intended for building other packages which
use the "databake" feature of the "%{crate}" crate.

%files       -n %{name}+databake-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
# Avoid a dependency on the internal icu_benchmark_macros crate
rm -rv examples/
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -f databake,serde

%build
%cargo_build -f databake,serde

%install
%cargo_install -f databake,serde

%if %{with check}
%check
# * All doc tests use icu::collections, which would require the circular
#   (path-based) dev-dependency on the icu crate.
# * Tests using databake may fail due to trivial differences in the string
#   representations of generated code, such as trailing commas without semantic
#   significance.
%{cargo_test -f databake,serde -- --tests -- --exact %{shrink:
    --skip codepointinvlist::cpinvlist::tests::databake
    --skip codepointtrie::cptrie::tests::databake
}}
%endif



%changelog
* Mon Apr 21 2025 wally <wally> 1.5.0-1.mga10
+ Revision: 2177723
- imported package rust-icu_collections


* Mon Apr 21 2025 Jani Välimaa <wally@mageia.org> - 1.5.0-1
- Initial package
